Package org.eclipse.net4j.util.om.monitor

## Interface OMMonitor

- All Superinterfaces:
    `OMMonitorProgress`
  All Known Implementing Classes:
    `AbstractMonitor`, `DelegatingMonitor`, `EclipseMonitor`, `Monitor`, `NestedMonitor`, `NotifyingMonitor`, `TimeoutMonitor`

      public interface OMMonitor
      extends OMMonitorProgress

  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `OMMonitor.Async` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static double` | `DEFAULT_TIME_FACTOR` |
    `static int` | `THOUSAND` |

    - ### Fields inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

      `HUNDRED, ONE, TEN, ZERO`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OMMonitor` | `begin()` | Same as calling `begin(ONE)`.
    `OMMonitor` | `begin​(double totalWork)` |
    `void` | `checkCanceled()` |
    `void` | `done()` |
    `OMMonitor` | `fork()` | Same as calling `fork(ONE)`.
    `OMMonitor` | `fork​(double work)` |
    `OMMonitor.Async` | `forkAsync()` | Same as calling `forkAsync(ONE)`.
    `OMMonitor.Async` | `forkAsync​(double work)` |
    `boolean` | `hasBegun()` |
    `boolean` | `isCanceled()` |
    `void` | `worked()` | Same as calling `worked(ONE)`.
    `void` | `worked​(double work)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.om.monitor.OMMonitorProgress

      `getTotalWork, getWork, getWorkPercent`

- - ### Field Detail

    - #### THOUSAND

          static final int THOUSAND

      Since:
        2.0
      See Also:
        Constant Field Values

    - #### DEFAULT_TIME_FACTOR

          static final double DEFAULT_TIME_FACTOR

      Since:
        2.0
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isCanceled

          boolean isCanceled()

      Since:
        2.0

    - #### checkCanceled

          void checkCanceled()
                      throws MonitorCanceledException

      Throws:
        `MonitorCanceledException`
      Since:
        2.0

    - #### hasBegun

          boolean hasBegun()
                    throws MonitorCanceledException

      Throws:
        `MonitorCanceledException`
      Since:
        2.0

    - #### begin

          OMMonitor begin​(double totalWork)
                   throws MonitorCanceledException

      Throws:
        `MonitorCanceledException`
      Since:
        2.0

    - #### begin

          OMMonitor begin()
                   throws MonitorCanceledException

      Same as calling `begin(ONE)`.
      Throws:
        `MonitorCanceledException`
      Since:
        2.0

    - #### worked

          void worked​(double work)
               throws MonitorCanceledException

      Throws:
        `MonitorCanceledException`
      Since:
        2.0

    - #### worked

          void worked()
               throws MonitorCanceledException

      Same as calling `worked(ONE)`.
      Throws:
        `MonitorCanceledException`
      Since:
        2.0

    - #### fork

          OMMonitor fork​(double work)

      Since:
        2.0

    - #### fork

          OMMonitor fork()

      Same as calling `fork(ONE)`.
      Since:
        2.0

    - #### forkAsync

          OMMonitor.Async forkAsync​(double work)

      Since:
        2.0

    - #### forkAsync

          OMMonitor.Async forkAsync()

      Same as calling `forkAsync(ONE)`.
      Since:
        2.0

    - #### done

          void done()

      Since:
        2.0